Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ACE_RMCast_Copy_On_Write_Read_Guard Class Template Reference

Implement a read guard for a reference counted collection. More...

`#include <RMCast_Copy_On_Write.h>`

Collaboration diagram for ACE_RMCast_Copy_On_Write_Read_Guard:

[legend]
List of all members.

## Public Types
typedef ACE_RMCast_Copy_On_Write_Collection< COLLECTION,ITERATOR> | Collection
typedef ACE_RMCast_Copy_On_Write_Container< COLLECTION,ITERATOR> | Container
## Public Methods
| ACE_RMCast_Copy_On_Write_Read_Guard (Container &container)
| Constructor.
| ~ACE_RMCast_Copy_On_Write_Read_Guard (void)
| Destructor.
## Public Attributes
Collection* | collection
| A reference to the collection.
## Private Attributes
ACE_SYNCH_MUTEX& | mutex_
| Synchronization.

## Detailed Description

### template<class COLLECTION, class ITERATOR> template class ACE_RMCast_Copy_On_Write_Read_Guard

Implement a read guard for a reference counted collection.

## Member Typedef Documentation

template<classCOLLECTION, classITERATOR>
typedef ACE_RMCast_Copy_On_Write_Collection<COLLECTION,ITERATOR> ACE_RMCast_Copy_On_Write_Read_Guard<COLLECTION, ITERATOR>::Collection

template<classCOLLECTION, classITERATOR>
typedef ACE_RMCast_Copy_On_Write_Container<COLLECTION,ITERATOR> ACE_RMCast_Copy_On_Write_Read_Guard<COLLECTION, ITERATOR>::Container

## Constructor & Destructor Documentation

template<classCOLLECTION, classITERATOR>
ACE_INLINE ACE_RMCast_Copy_On_Write_Read_Guard< COLLECTION,ITERATOR >::ACE_RMCast_Copy_On_Write_Read_Guard<COLLECTION, ITERATOR> ( | Container & container )

| Constructor.

template<classCOLLECTION, classITERATOR>
ACE_INLINE ACE_RMCast_Copy_On_Write_Read_Guard< COLLECTION,ITERATOR >::~ACE_RMCast_Copy_On_Write_Read_Guard<COLLECTION, ITERATOR> ( | void )

| Destructor.

## Member Data Documentation

template<classCOLLECTION, classITERATOR>
Collection * ACE_RMCast_Copy_On_Write_Read_Guard<COLLECTION, ITERATOR>::collection

| A reference to the collection.

template<classCOLLECTION, classITERATOR>
ACE_SYNCH_MUTEX & ACE_RMCast_Copy_On_Write_Read_Guard<COLLECTION, ITERATOR>::mutex_`[private]`

| Synchronization.

The documentation for this class was generated from the following files:

- RMCast_Copy_On_Write.h
- RMCast_Copy_On_Write.i